Policy does not load on EL7 due to consoletype_exec_t dependency
Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category:    

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On my RHEL7 system, policy does not load at all. The reason is hidden, because the scriplet silently continues. We should fail on

errors (only relabel should silently work).

[root@seven policy]# foreman-selinux-enable 

libsepol.print_missing_requirements: foreman's global requirements were not met: type/attribute co

nsoletype_exec_t (No such file or directory).

libsemanage.semanage_link_sandbox: Link packages failed (No such file or directory).

ValueError: Could not commit semanage transaction

ValueError: Type elasticsearch_port_t is invalid, must be a port type

Associated revisions

Revision 7a59c903 - 08/12/2014 10:11 AM - Lukas Zapletal 

Fixes #6013, #6014, #6979 - changes for RHEL7

History

#1 - 08/07/2014 07:04 AM - Lukas Zapletal

Part 1: https://github.com/theforeman/foreman-packaging/pull/305

#2 - 08/07/2014 09:25 AM - Lukas Zapletal

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

I've confirmed with Mirek that this macro was removed from RHEL7. Optional block should do it.

https://github.com/theforeman/foreman-selinux/pull/26

#3 - 08/12/2014 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7a59c90304ef32a67457a8071bbda07d161b6236.

#4 - 08/21/2014 08:02 AM - Dominic Cleal

- Target version set to 1.7.5
